<html>
<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <style>
    body {
      font-family: Tahoma, Verdana, Arial, sans;
      background: #083085;
      color: #fff;
    }

    table {
      font-size: 11px;
    }

    a {
      color: #f7892c;
      text-decoration: none;
    }

    a:hover {
      text-decoration: underline;
    }

    label {
      color: #9cb4e4;
    }

    input {
      border: 1px solid #597ec5;
      font-family: Tahoma, Verdana, Arial, sans;
      font-size: 11px;
    }

    a.submit {
      background: url({%glo:cfgWebRoot%}gui/images/constructor_ok_but.gif) 0px -17px no-repeat;
      color: #fff;
      font-family: Tahoma, Verdana, Arial, sans;
      font-size: 11px;
      font-weight: bold;
      cursor: pointer;
      width: 60px;
      height: 17px;
      display: block;
    }

    a.submit:hover {
      background: url({%glo:cfgWebRoot%}gui/images/constructor_ok_but.gif) 0px 0px no-repeat;
    }

    .demoinfo {
      width: 400px;
    }

    .demolangsel {
      width: 400px;
      margin-top: 20px;
    }

    .demolangsel img {
      border: 0;
      vertical-align: middle;
      margin-right: 2px;
    }

    .demolangsel a {
      margin: 0 5px;
      color: white;
    }

    .demolangsel a:hover {
      color: #F7892C;
      text-decoration: none;
    }


  </style>
  <title>{%const:title%} - Login</title>
  <script language="JavaScript" src="{%glo:cfgWebRoot%}gui/scripts.js"></script>
  <script language="JavaScript" src="{%glo:cfgWebRoot%}gui/jquery.min.js"></script>

<script language="JavaScript">

function whichBrs() {
	var agt=navigator.userAgent.toLowerCase();
	if (agt.indexOf("opera") != -1) return 'Opera';
	if (agt.indexOf("staroffice") != -1) return 'Star Office';
	if (agt.indexOf("beonex") != -1) return 'Beonex';
	if (agt.indexOf("chimera") != -1) return 'Chimera';
	if (agt.indexOf("netpositive") != -1) return 'NetPositive';
	if (agt.indexOf("phoenix") != -1) return 'Phoenix';
	if (agt.indexOf("firefox") != -1) return 'Firefox';
	if (agt.indexOf("shiretoko") != -1) return 'Firefox';
	if (agt.indexOf("chrome") != -1) return 'Chrome';
	if (agt.indexOf("safari") != -1) return 'Safari';
	if (agt.indexOf("skipstone") != -1) return 'SkipStone';
	if (agt.indexOf("msie") != -1) return 'Internet Explorer';
	if (agt.indexOf("moz") != -1) return 'Internet Explorer';//IE11
	if (agt.indexOf("netscape") != -1) return 'Netscape';
	if (agt.indexOf("mozilla/5.0") != -1) return 'Mozilla';
	if (agt.indexOf('\/') != -1) {
	if (agt.substr(0,agt.indexOf('\/')) != 'mozilla') {
	return navigator.userAgent.substr(0,agt.indexOf('\/'));}
	else return 'Netscape';} else if (agt.indexOf(' ') != -1)
	return navigator.userAgent.substr(0,agt.indexOf(' '));
	else return navigator.userAgent;
}

function validate_brs(a){
	var brs = whichBrs();
  if (brs!='Internet Explorer' && brs!='Firefox' && brs!='Chrome' && brs != 'Safari' && brs != 'Opera'){
  	if (!a) alert('Datateks Constructor does not support your current browser. \nPlease use Internet Explorer 5 or newer.');
    	return false;
    }else{
    	agt=navigator.userAgent.toLowerCase();
    	if (agt.indexOf("msie 2") != -1 || agt.indexOf("msie 3") != -1 || agt.indexOf("msie 4") != -1 || agt.indexOf("msie 5") != -1 ){
      	if (!a) alert('Please user Internet Explorer 6, Firefox 3 or newer.');
        return false;
      }else{
      	return true;
      }
    }
}

$(document).ready(function(){
	var form = $("#CMSLoginForm");
  var pasw_field = $("input[type='password']", form);

  $("a.submit", form).click(function(e){

		form.submit();
		e.preventDefault();

  });

  form.submit(function(e){

  	if(!validate_brs()){
    	e.preventDefault();
			return;
  	}

    pasw_field.val(Sha256.hash(pasw_field.val())); // hashing password before sending it

  });


});

</script>
</head>
<body onload="{%%if:admin_mode:1%%}document.Form.url.focus();{%%else%%}if (document.Form.username.value.length > 0) document.Form.password.focus(); else document.Form.username.focus();{%%endif%%}">
  <table width="100%" height="100%" border="0">
    <tr>
      <td align="center">
        <form name="Form" method="POST" id="CMSLoginForm" action="index.php?module=login&action=login{%glo:admin_param%}">
	        <table>
	          <tr>
	            <td colspan="2"><a href="http://www.datateks.lv/" target="_blank"><img alt="Datateks Constructor" src="{%glo:cfgWebRoot%}gui/images/{%ifstr:cfgMiniDemo:1:constructor_logo_free.gif:constructor_logo.jpg%}" border="0" /></a></td>
	          </tr>
	          <tr>
	            <td><label for="username">{%glo:username_label%}:</label></td>
	            <td align="right"><input type="text" name="{%%if:admin_mode:1%%}url{%%else%%}username{%%endif%%}" value="{%glo:login_username%}" {%%if:admin_mode:1%%} style="margin-left:10px;width:200px" {%%endif%%} /></td>
	          </tr>
	          <tr{%glo:password_attribs%}>
	            <td><label for="">{%langstr:password%}:</label></td>
	            <td align="right"><input type="password" name="password" /></td>
	          </tr>
	          <tr>
	            <td colspan="2"><b style="color: #9cb4e4;">{%str:message%}</b></td>
	          </tr>
	          <tr>
	            <td colspan="2" align="right"><a class="submit" href="?"></a><input type="submit" style="position:absolute;left:-99999;top:-99999"/></td>
	          </tr>
	        </table>
        </form>
        {%str:langselect%}
      </td>
    </tr>
  </table>
</body>
</html>
